package com.qmth.distributed.print.business.bean.result;

import com.qmth.distributed.print.business.enums.BackupMethodEnum;

import java.util.List;
import java.util.Map;

/**
 * @Description: 印刷计划详情分页查询结果
 * @Author: CaoZixuan
 * @Date: 2021-04-02
 */
public class PrintPlanResult {
    private Long id;
    private String name;
    private Long examStartTime;
    private Long examEndTime;
    private Object status;
    private int totalGates;
    private int totalSubjects;
    private int totalPackages;
    private Object printContent;
    private BackupMethodEnum backupMethod;
    private int backupCount;
    private List<Map<String,Object>> variableContent;
    private List<Map<String,Object>> ordinaryContent;
    private Long createId;
    private Long createTime;


//    {
//        "id": 1,
//            "name": "2020期末考试",
//            "examStartTime": "1616403935250",
//            "examEndTime": "1616403935250",
//            "status": "NEW",
//            "totalGates": 352,
//            "totalSubjects": 15234,
//            "totalPackages": 67,
//            "printContent": "PAPER",
//            "backupMethod": "PLACE",
//            "backupCount": 5,
//            "variableContent": [
//        {
//            "type": "SIGN",
//                "usedId": 1,
//                "backupMethod": "ROOM",
//                "backupCount": 3
//        },
//        {
//            "type": "PACKAG",
//                "usedId": 3,
//                "backupMethod": "STUDENT",
//                "backupCount": 5
//        }
//        ],
//        "ordinaryContent": [
//        {
//            "type": "CHECK_IN",
//                "usedId": 1,
//                "backupMethod": "ROOM",
//                "backupCount": 3
//        }
//        ],
//        "createId": 1,
//            "createTime": ""
//    },
}
